<?php
/**
 * @file
 * openedu_bean_qna.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function openedu_bean_qna_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'openedu_bean_qna';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'bean';
  $view->human_name = 'OpenEDU Bean Q&A';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['type'] = 'ol';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_bean_qna_target_id']['id'] = 'field_bean_qna_target_id';
  $handler->display->display_options['relationships']['field_bean_qna_target_id']['table'] = 'field_data_field_bean_qna';
  $handler->display->display_options['relationships']['field_bean_qna_target_id']['field'] = 'field_bean_qna_target_id';
  $handler->display->display_options['relationships']['field_bean_qna_target_id']['label'] = 'field_bean_qna';
  $handler->display->display_options['relationships']['field_bean_qna_target_id']['required'] = TRUE;
  /* Field: OpenEDU Bean Assets: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'eck_openedu_bean_assets';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'field_bean_qna_target_id';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['element_type'] = 'h3';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Field: Answer */
  $handler->display->display_options['fields']['field_qna_answer']['id'] = 'field_qna_answer';
  $handler->display->display_options['fields']['field_qna_answer']['table'] = 'field_data_field_qna_answer';
  $handler->display->display_options['fields']['field_qna_answer']['field'] = 'field_qna_answer';
  $handler->display->display_options['fields']['field_qna_answer']['relationship'] = 'field_bean_qna_target_id';
  $handler->display->display_options['fields']['field_qna_answer']['label'] = '';
  $handler->display->display_options['fields']['field_qna_answer']['element_label_colon'] = FALSE;
  /* Contextual filter: Block: Internal, numeric block ID */
  $handler->display->display_options['arguments']['bid']['id'] = 'bid';
  $handler->display->display_options['arguments']['bid']['table'] = 'bean';
  $handler->display->display_options['arguments']['bid']['field'] = 'bid';
  $handler->display->display_options['arguments']['bid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['bid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['bid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['bid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['bid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['bid']['break_phrase'] = TRUE;
  /* Filter criterion: Block: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'bean';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'openedu_bean_qna' => 'openedu_bean_qna',
  );

  /* Display: Q&A List */
  $handler = $view->new_display('block', 'Q&A List', 'list');
  $export['openedu_bean_qna'] = $view;

  return $export;
}
