<?php
/**
 * @file
 * openedu_notifications.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function openedu_notifications_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'notifications';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'openedu_notifications';
  $view->human_name = 'Notifications';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'id' => 'id',
    'uid' => 'uid',
    'data' => 'data',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'id' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'uid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'data' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* Field: OpenEDU Notifications: Notification ID */
  $handler->display->display_options['fields']['id']['id'] = 'id';
  $handler->display->display_options['fields']['id']['table'] = 'openedu_notifications';
  $handler->display->display_options['fields']['id']['field'] = 'id';
  /* Field: OpenEDU Notifications: The user id. */
  $handler->display->display_options['fields']['uid']['id'] = 'uid';
  $handler->display->display_options['fields']['uid']['table'] = 'openedu_notifications';
  $handler->display->display_options['fields']['uid']['field'] = 'uid';
  $handler->display->display_options['fields']['uid']['label'] = 'User ID';
  /* Field: OpenEDU Notifications: Notification Body */
  $handler->display->display_options['fields']['data']['id'] = 'data';
  $handler->display->display_options['fields']['data']['table'] = 'openedu_notifications';
  $handler->display->display_options['fields']['data']['field'] = 'data';
  $handler->display->display_options['fields']['data']['label'] = 'Notification Message';
  /* Field: Broken/missing handler */
  $handler->display->display_options['fields']['read_status']['id'] = 'read_status';
  $handler->display->display_options['fields']['read_status']['table'] = 'openedu_notifications';
  $handler->display->display_options['fields']['read_status']['field'] = 'read_status';
  $handler->display->display_options['fields']['read_status']['label'] = 'Read Status';
  $handler->display->display_options['fields']['read_status']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['read_status']['alter']['text'] = 'Read';
  $handler->display->display_options['fields']['read_status']['empty'] = 'Not read';
  $handler->display->display_options['fields']['read_status']['empty_zero'] = TRUE;
  $export['notifications'] = $view;

  return $export;
}
