<?php
/**
 * @file
 * openedu_schools_dashboard.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function openedu_schools_dashboard_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'openedu_schools_dashboard';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'node';
  $view->human_name = 'OpenEDU Schools Dashboard';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'access openedu dashboard';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['distinct'] = TRUE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['hide_empty'] = TRUE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'field_prog_ref_target_id';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_type'] = 'h2';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'school' => 'school',
  );

  /* Display: School Listing */
  $handler = $view->new_display('panel_pane', 'School Listing', 'school_listing');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'quicktabs';
  $handler->display->display_options['style_options']['tab_style'] = 'Navlist';
  $handler->display->display_options['style_options']['tab_title_field'] = 'title_1';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Path */
  $handler->display->display_options['fields']['path']['id'] = 'path';
  $handler->display->display_options['fields']['path']['table'] = 'node';
  $handler->display->display_options['fields']['path']['field'] = 'path';
  $handler->display->display_options['fields']['path']['label'] = '';
  $handler->display->display_options['fields']['path']['exclude'] = TRUE;
  $handler->display->display_options['fields']['path']['element_label_colon'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['text'] = '<div class="title"><i class="fa fa-university"></i> [title]</div> <span class="school-controls"><a href="[path]" target="_blank" class="view" title="View School"><i class="fa fa-eye"></i> View </a> <a href="/node/[nid]/edit?destination=/admin/openedu/schools" class="edit" title="Edit School"><i class="fa fa-edit"></i> Edit </a></span>';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_type'] = 'h1';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Content: Body */
  $handler->display->display_options['fields']['body']['id'] = 'body';
  $handler->display->display_options['fields']['body']['table'] = 'field_data_body';
  $handler->display->display_options['fields']['body']['field'] = 'body';
  $handler->display->display_options['fields']['body']['label'] = '';
  $handler->display->display_options['fields']['body']['exclude'] = TRUE;
  $handler->display->display_options['fields']['body']['element_label_colon'] = FALSE;
  /* Field: Department Listing */
  $handler->display->display_options['fields']['view']['id'] = 'view';
  $handler->display->display_options['fields']['view']['table'] = 'views';
  $handler->display->display_options['fields']['view']['field'] = 'view';
  $handler->display->display_options['fields']['view']['ui_name'] = 'Department Listing';
  $handler->display->display_options['fields']['view']['label'] = '';
  $handler->display->display_options['fields']['view']['exclude'] = TRUE;
  $handler->display->display_options['fields']['view']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['view']['view'] = 'openedu_schools_dashboard';
  $handler->display->display_options['fields']['view']['display'] = 'department_listing';
  $handler->display->display_options['fields']['view']['arguments'] = '[%nid]';
  /* Field: Program listing */
  $handler->display->display_options['fields']['view_1']['id'] = 'view_1';
  $handler->display->display_options['fields']['view_1']['table'] = 'views';
  $handler->display->display_options['fields']['view_1']['field'] = 'view';
  $handler->display->display_options['fields']['view_1']['ui_name'] = 'Program listing';
  $handler->display->display_options['fields']['view_1']['label'] = '';
  $handler->display->display_options['fields']['view_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['view_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['view_1']['view'] = 'openedu_schools_dashboard';
  $handler->display->display_options['fields']['view_1']['display'] = 'dept_program_listing';
  $handler->display->display_options['fields']['view_1']['arguments'] = '[%nid]';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title_1']['id'] = 'title_1';
  $handler->display->display_options['fields']['title_1']['table'] = 'node';
  $handler->display->display_options['fields']['title_1']['field'] = 'title';
  $handler->display->display_options['fields']['title_1']['label'] = '';
  $handler->display->display_options['fields']['title_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['title_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title_1']['link_to_node'] = FALSE;
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['label'] = '';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = '<p class="school-control-buttons">
  <a href="/node/add/department?field_school_reference=[nid]&destination=admin/openedu/schools" class="btn btn-warning btn-small" title="Add Department"><i class="fa fa-plus-square"></i> Add Department</a>
  <a href="/node/add/program?field_school_reference=[nid]&destination=admin/openedu/schools" class="btn btn-info btn-small" title="Add Program"><i class="fa fa-plus-square"></i> Add Program</a>
  <a href="###" class="btn btn-warning btn-small toggle-all-departments float-right" title="Toggle Departments"><i class="fa fa-plus-square"></i> Toggle all Groups</a>
</p>
<div class="school-depts">[view]</div>';
  $handler->display->display_options['fields']['nothing']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Sticky */
  $handler->display->display_options['sorts']['sticky']['id'] = 'sticky';
  $handler->display->display_options['sorts']['sticky']['table'] = 'node';
  $handler->display->display_options['sorts']['sticky']['field'] = 'sticky';
  $handler->display->display_options['sorts']['sticky']['order'] = 'DESC';
  /* Sort criterion: Content: Title */
  $handler->display->display_options['sorts']['title']['id'] = 'title';
  $handler->display->display_options['sorts']['title']['table'] = 'node';
  $handler->display->display_options['sorts']['title']['field'] = 'title';
  $handler->display->display_options['pane_title'] = 'School Dashboard - School Listing';

  /* Display: Department Listing */
  $handler = $view->new_display('panel_pane', 'Department Listing', 'department_listing');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Departments';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['class'] = 'openedu-schools-dashboard-department-list';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_department_reference_target_id']['id'] = 'field_department_reference_target_id';
  $handler->display->display_options['relationships']['field_department_reference_target_id']['table'] = 'field_data_field_department_reference';
  $handler->display->display_options['relationships']['field_department_reference_target_id']['field'] = 'field_department_reference_target_id';
  $handler->display->display_options['relationships']['field_department_reference_target_id']['label'] = 'field_department_reference';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'node';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  $handler->display->display_options['fields']['type']['exclude'] = TRUE;
  /* Field: Content: Course(s) (field_course_reference:delta) */
  $handler->display->display_options['fields']['delta']['id'] = 'delta';
  $handler->display->display_options['fields']['delta']['table'] = 'field_data_field_course_reference';
  $handler->display->display_options['fields']['delta']['field'] = 'delta';
  $handler->display->display_options['fields']['delta']['exclude'] = TRUE;
  /* Field: Content: Path */
  $handler->display->display_options['fields']['path']['id'] = 'path';
  $handler->display->display_options['fields']['path']['table'] = 'node';
  $handler->display->display_options['fields']['path']['field'] = 'path';
  $handler->display->display_options['fields']['path']['relationship'] = 'field_department_reference_target_id';
  $handler->display->display_options['fields']['path']['label'] = '';
  $handler->display->display_options['fields']['path']['exclude'] = TRUE;
  $handler->display->display_options['fields']['path']['element_label_colon'] = FALSE;
  /* Field: Content: Type */
  $handler->display->display_options['fields']['type_1']['id'] = 'type_1';
  $handler->display->display_options['fields']['type_1']['table'] = 'node';
  $handler->display->display_options['fields']['type_1']['field'] = 'type';
  $handler->display->display_options['fields']['type_1']['relationship'] = 'field_department_reference_target_id';
  $handler->display->display_options['fields']['type_1']['label'] = '';
  $handler->display->display_options['fields']['type_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['type_1']['element_label_colon'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'field_department_reference_target_id';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['exclude'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['text'] = '<h2><a href="[path]"><i class="fa fa-building"></i> [title]</a> <span class="show-depts"><i class="fa fa-plus-circle"></i> Toggle Details</span></h2>';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Content: Body */
  $handler->display->display_options['fields']['body']['id'] = 'body';
  $handler->display->display_options['fields']['body']['table'] = 'field_data_body';
  $handler->display->display_options['fields']['body']['field'] = 'body';
  $handler->display->display_options['fields']['body']['relationship'] = 'field_department_reference_target_id';
  $handler->display->display_options['fields']['body']['label'] = '';
  $handler->display->display_options['fields']['body']['exclude'] = TRUE;
  $handler->display->display_options['fields']['body']['element_label_colon'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['relationship'] = 'field_department_reference_target_id';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: School ID */
  $handler->display->display_options['fields']['nid_1']['id'] = 'nid_1';
  $handler->display->display_options['fields']['nid_1']['table'] = 'node';
  $handler->display->display_options['fields']['nid_1']['field'] = 'nid';
  $handler->display->display_options['fields']['nid_1']['relationship'] = 'field_department_reference_target_id';
  $handler->display->display_options['fields']['nid_1']['ui_name'] = 'School ID';
  $handler->display->display_options['fields']['nid_1']['label'] = '';
  $handler->display->display_options['fields']['nid_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid_1']['element_label_colon'] = FALSE;
  /* Field: Global: View */
  $handler->display->display_options['fields']['view_2']['id'] = 'view_2';
  $handler->display->display_options['fields']['view_2']['table'] = 'views';
  $handler->display->display_options['fields']['view_2']['field'] = 'view';
  $handler->display->display_options['fields']['view_2']['label'] = 'Department Courses';
  $handler->display->display_options['fields']['view_2']['exclude'] = TRUE;
  $handler->display->display_options['fields']['view_2']['view'] = 'openedu_schools_dashboard';
  $handler->display->display_options['fields']['view_2']['display'] = 'dept_course_listing';
  $handler->display->display_options['fields']['view_2']['arguments'] = '[%nid]';
  /* Field: Global: View */
  $handler->display->display_options['fields']['view']['id'] = 'view';
  $handler->display->display_options['fields']['view']['table'] = 'views';
  $handler->display->display_options['fields']['view']['field'] = 'view';
  $handler->display->display_options['fields']['view']['label'] = 'Programs';
  $handler->display->display_options['fields']['view']['exclude'] = TRUE;
  $handler->display->display_options['fields']['view']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['view']['view'] = 'openedu_schools_dashboard';
  $handler->display->display_options['fields']['view']['display'] = 'dept_program_listing';
  $handler->display->display_options['fields']['view']['arguments'] = '[%nid]';
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['label'] = '';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = '<h2 class="dept">
  <a href="#" class="sort" title="Rearrange Items">
    <i class="fa fa-arrows"></i> <span>Rearrange Items</span>
  </a> 
  <div class="title"><i class="fa fa-building"></i> [title] ([type_1])</div> 
  <span class="dept-controls"><a href="[path]" target="_blank" class="view" title="View Department"><i class="fa fa-eye"></i> <span>View</span></a> 
    <a href="/node/[nid]/edit?destination=admin/openedu/schools" class="edit" title="Edit Department"><i class="fa fa-edit"></i> <span>Edit</span></a>
    <a href="#" class="del-ref" title="Remove Reference"><i class="fa fa-trash"></i> <span>Remove Reference</span></a>
  </span>
</h2>
<div class="dept-details">
  <div class="dept-body">[body]</div>
  <p>
    <a href="/node/add/program?field_department_reference=[nid]&destination=admin/openedu/schools" class="btn btn-info btn-small"><i class="fa fa-plus-square"></i> Add Program</a> 
    <a href="/node/add/course?field_department_reference=[nid]&destination=admin/openedu/schools" class="btn btn-success btn-small"><i class="fa fa-plus-square"></i> Add Course</a> 
  </p>
  <div class="dept-programs">
    <h4 class="section">Programs <i class="fa fa-cog"></i></h4>
    [view]
  </div>
  <div class="dept-courses">
    <h4 class="section">Courses <i class="fa fa-cog"></i></h4>
    [view_2]
  </div>
</div>';
  $handler->display->display_options['fields']['nothing']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['relationship'] = 'field_department_reference_target_id';
  $handler->display->display_options['filters']['type']['value'] = array(
    'department' => 'department',
    'program' => 'program',
  );
  $handler->display->display_options['argument_input'] = array(
    'field_admin_school_ref_target_id' => array(
      'type' => 'context',
      'context' => 'entity:node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Content: School Reference (field_admin_school_ref)',
    ),
  );

  /* Display: Dept Program Listing */
  $handler = $view->new_display('panel_pane', 'Dept Program Listing', 'dept_program_listing');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Programs';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['class'] = 'openedu-schools-dashboard-dept-program-list';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['hide_empty'] = TRUE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_program_reference_target_id']['id'] = 'field_program_reference_target_id';
  $handler->display->display_options['relationships']['field_program_reference_target_id']['table'] = 'field_data_field_program_reference';
  $handler->display->display_options['relationships']['field_program_reference_target_id']['field'] = 'field_program_reference_target_id';
  $handler->display->display_options['relationships']['field_program_reference_target_id']['label'] = 'field_program_reference';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'node';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  $handler->display->display_options['fields']['type']['label'] = '';
  $handler->display->display_options['fields']['type']['exclude'] = TRUE;
  $handler->display->display_options['fields']['type']['element_label_colon'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['relationship'] = 'field_program_reference_target_id';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Path */
  $handler->display->display_options['fields']['path']['id'] = 'path';
  $handler->display->display_options['fields']['path']['table'] = 'node';
  $handler->display->display_options['fields']['path']['field'] = 'path';
  $handler->display->display_options['fields']['path']['relationship'] = 'field_program_reference_target_id';
  $handler->display->display_options['fields']['path']['label'] = '';
  $handler->display->display_options['fields']['path']['exclude'] = TRUE;
  $handler->display->display_options['fields']['path']['element_label_colon'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'field_program_reference_target_id';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['text'] = '<h3>
  <a href="#" class="sort" title="Rearrange Items"><i class="fa fa-arrows"></i> <span>Rearrange Items</span></a> 
  <div class="title"><i class="fa fa-book"></i> [title]</div> 
  <span class="program-controls">
    <a href="[path]" target="_blank" class="view" title="View Program"><i class="fa fa-eye"></i> <span>View</span></a> 
    <a href="/node/[nid]/edit?destination=admin/openedu/schools" class="edit" title="Edit Program"><i class="fa fa-edit"></i> <span>Edit</span></a>
    <a href="#" class="del-ref" title="Remove Reference"><i class="fa fa-trash"></i> <span>Remove Reference</span></a>
  </span>
</h3> ';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Prog ID */
  $handler->display->display_options['fields']['nid_2']['id'] = 'nid_2';
  $handler->display->display_options['fields']['nid_2']['table'] = 'node';
  $handler->display->display_options['fields']['nid_2']['field'] = 'nid';
  $handler->display->display_options['fields']['nid_2']['relationship'] = 'field_program_reference_target_id';
  $handler->display->display_options['fields']['nid_2']['ui_name'] = 'Prog ID';
  $handler->display->display_options['fields']['nid_2']['label'] = '';
  $handler->display->display_options['fields']['nid_2']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid_2']['element_label_colon'] = FALSE;
  /* Field: Course listing */
  $handler->display->display_options['fields']['view_1']['id'] = 'view_1';
  $handler->display->display_options['fields']['view_1']['table'] = 'views';
  $handler->display->display_options['fields']['view_1']['field'] = 'view';
  $handler->display->display_options['fields']['view_1']['ui_name'] = 'Course listing';
  $handler->display->display_options['fields']['view_1']['label'] = '';
  $handler->display->display_options['fields']['view_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['view_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['view_1']['view'] = 'openedu_schools_dashboard';
  $handler->display->display_options['fields']['view_1']['display'] = 'course_listing';
  $handler->display->display_options['fields']['view_1']['arguments'] = '[%nid]';
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['label'] = '';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = '<div class="courses">[view_1]</div>
<p><a href="/node/add/course?field_program_reference=[nid_2]&destination=admin/openedu/schools" class="btn btn-success btn-small"><i class="fa fa-plus-square"></i> Add Course</a></p>';
  $handler->display->display_options['fields']['nothing']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['relationship'] = 'field_program_reference_target_id';
  $handler->display->display_options['filters']['type']['value'] = array(
    'program' => 'program',
  );

  /* Display: Course Listing */
  $handler = $view->new_display('panel_pane', 'Course Listing', 'course_listing');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Courses';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['class'] = 'course-list openedu-schools-dashboard-course-list';
  $handler->display->display_options['style_options']['wrapper_class'] = 'item-list ';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['hide_empty'] = TRUE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  $handler->display->display_options['defaults']['footer'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_course_reference_target_id']['id'] = 'field_course_reference_target_id';
  $handler->display->display_options['relationships']['field_course_reference_target_id']['table'] = 'field_data_field_course_reference';
  $handler->display->display_options['relationships']['field_course_reference_target_id']['field'] = 'field_course_reference_target_id';
  $handler->display->display_options['relationships']['field_course_reference_target_id']['label'] = 'field_course_reference';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'node';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  $handler->display->display_options['fields']['type']['label'] = '';
  $handler->display->display_options['fields']['type']['exclude'] = TRUE;
  $handler->display->display_options['fields']['type']['element_label_colon'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['relationship'] = 'field_course_reference_target_id';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Path */
  $handler->display->display_options['fields']['path']['id'] = 'path';
  $handler->display->display_options['fields']['path']['table'] = 'node';
  $handler->display->display_options['fields']['path']['field'] = 'path';
  $handler->display->display_options['fields']['path']['relationship'] = 'field_course_reference_target_id';
  $handler->display->display_options['fields']['path']['label'] = '';
  $handler->display->display_options['fields']['path']['exclude'] = TRUE;
  $handler->display->display_options['fields']['path']['element_label_colon'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'field_course_reference_target_id';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['text'] = '<a href="#" class="sort" title="Rearrange Items"><i class="fa fa-arrows"></i> <span>Rearrange Items</span></a> <div class="title"> [title]</div> <span class="course-controls"><a href="[path]" target="_blank" class="view" title="View Course"><i class="fa fa-eye"></i> <span>View</span></a> <a href="/node/[nid]/edit?destination=/admin/openedu/schools" class="edit" title="Edit Course"><i class="fa fa-edit"></i> <span>Edit</span></a><a href="#" class="del-ref" title="Remove Reference"><i class="fa fa-trash"></i> <span>Remove Reference</span></a></span>';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Cert ID */
  $handler->display->display_options['fields']['nid_1']['id'] = 'nid_1';
  $handler->display->display_options['fields']['nid_1']['table'] = 'node';
  $handler->display->display_options['fields']['nid_1']['field'] = 'nid';
  $handler->display->display_options['fields']['nid_1']['ui_name'] = 'Cert ID';
  $handler->display->display_options['fields']['nid_1']['label'] = '';
  $handler->display->display_options['fields']['nid_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['relationship'] = 'field_course_reference_target_id';
  $handler->display->display_options['filters']['type']['value'] = array(
    'course' => 'course',
  );

  /* Display: Department Faculty */
  $handler = $view->new_display('panel_pane', 'Department Faculty', 'dept_faculty_listing');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Departments';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['class'] = 'openedu-schools-dashboard-department-faculty-list';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Department Members */
  $handler->display->display_options['fields']['field_department_members']['id'] = 'field_department_members';
  $handler->display->display_options['fields']['field_department_members']['table'] = 'field_data_field_department_members';
  $handler->display->display_options['fields']['field_department_members']['field'] = 'field_department_members';
  $handler->display->display_options['fields']['field_department_members']['settings'] = array(
    'link' => 0,
  );
  $handler->display->display_options['fields']['field_department_members']['delta_offset'] = '0';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['nid']['validate']['type'] = 'node';
  $handler->display->display_options['arguments']['nid']['validate_options']['types'] = array(
    'department' => 'department',
  );
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  $handler->display->display_options['argument_input'] = array(
    'field_admin_school_ref_target_id' => array(
      'type' => 'context',
      'context' => 'entity:node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Content: School Reference (field_admin_school_ref)',
    ),
  );

  /* Display: Dept Course Listing */
  $handler = $view->new_display('panel_pane', 'Dept Course Listing', 'dept_course_listing');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Courses';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['class'] = 'dept-course-list openedu-schools-dashboard-dpto-course-list';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['hide_empty'] = TRUE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  $handler->display->display_options['defaults']['footer'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_course_reference_target_id']['id'] = 'field_course_reference_target_id';
  $handler->display->display_options['relationships']['field_course_reference_target_id']['table'] = 'field_data_field_course_reference';
  $handler->display->display_options['relationships']['field_course_reference_target_id']['field'] = 'field_course_reference_target_id';
  $handler->display->display_options['relationships']['field_course_reference_target_id']['label'] = 'field_course_reference';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'node';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  $handler->display->display_options['fields']['type']['label'] = '';
  $handler->display->display_options['fields']['type']['exclude'] = TRUE;
  $handler->display->display_options['fields']['type']['element_label_colon'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['relationship'] = 'field_course_reference_target_id';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Path */
  $handler->display->display_options['fields']['path']['id'] = 'path';
  $handler->display->display_options['fields']['path']['table'] = 'node';
  $handler->display->display_options['fields']['path']['field'] = 'path';
  $handler->display->display_options['fields']['path']['relationship'] = 'field_course_reference_target_id';
  $handler->display->display_options['fields']['path']['label'] = '';
  $handler->display->display_options['fields']['path']['exclude'] = TRUE;
  $handler->display->display_options['fields']['path']['element_label_colon'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'field_course_reference_target_id';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['text'] = '<a href="#" class="sort" title="Rearrange Items"><i class="fa fa-arrows"></i> <span>Rearrange Items</span></a> <div class="title"> [title]</div> <span class="course-controls"><a href="[path]" target="_blank" class="view" title="View Course"><i class="fa fa-eye"></i> <span>View</span></a> <a href="/node/[nid]/edit?destination=/admin/openedu/schools" class="edit" title="Edit Course"><i class="fa fa-edit"></i> <span>Edit</span></a><a href="#" class="del-ref" title="Remove Reference"><i class="fa fa-trash"></i> <span>Remove Reference</span></a></span>';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Cert ID */
  $handler->display->display_options['fields']['nid_1']['id'] = 'nid_1';
  $handler->display->display_options['fields']['nid_1']['table'] = 'node';
  $handler->display->display_options['fields']['nid_1']['field'] = 'nid';
  $handler->display->display_options['fields']['nid_1']['ui_name'] = 'Cert ID';
  $handler->display->display_options['fields']['nid_1']['label'] = '';
  $handler->display->display_options['fields']['nid_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['relationship'] = 'field_course_reference_target_id';
  $handler->display->display_options['filters']['type']['value'] = array(
    'course' => 'course',
  );
  /* Filter criterion: Content: Department(s) (field_department_reference) */
  $handler->display->display_options['filters']['field_department_reference_target_id']['id'] = 'field_department_reference_target_id';
  $handler->display->display_options['filters']['field_department_reference_target_id']['table'] = 'field_data_field_department_reference';
  $handler->display->display_options['filters']['field_department_reference_target_id']['field'] = 'field_department_reference_target_id';
  $handler->display->display_options['filters']['field_department_reference_target_id']['relationship'] = 'field_course_reference_target_id';
  $handler->display->display_options['filters']['field_department_reference_target_id']['operator'] = 'not empty';
  $export['openedu_schools_dashboard'] = $view;

  $view = new view();
  $view->name = 'openedu_schools_dashboard_schools_relationship';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'eck_openedu_schools_relationship';
  $view->human_name = 'OpenEDU Schools Dashboard Schools Relationship';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['class'] = 'openedu-schools-dashboard-department-faculty-list';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Field: OpenEDU Schools Relationship: Id */
  $handler->display->display_options['fields']['id']['id'] = 'id';
  $handler->display->display_options['fields']['id']['table'] = 'eck_openedu_schools_relationship';
  $handler->display->display_options['fields']['id']['field'] = 'id';

  /* Display: School Staff */
  $handler = $view->new_display('block', 'School Staff', 'school_staff');
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referencing entity */
  $handler->display->display_options['relationships']['reverse_field_school_staff_node']['id'] = 'reverse_field_school_staff_node';
  $handler->display->display_options['relationships']['reverse_field_school_staff_node']['table'] = 'eck_openedu_schools_relationship';
  $handler->display->display_options['relationships']['reverse_field_school_staff_node']['field'] = 'reverse_field_school_staff_node';
  $handler->display->display_options['relationships']['reverse_field_school_staff_node']['label'] = 'field_school_staff';
  $handler->display->display_options['relationships']['reverse_field_school_staff_node']['required'] = TRUE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_staff_reference_target_id']['id'] = 'field_staff_reference_target_id';
  $handler->display->display_options['relationships']['field_staff_reference_target_id']['table'] = 'field_data_field_staff_reference';
  $handler->display->display_options['relationships']['field_staff_reference_target_id']['field'] = 'field_staff_reference_target_id';
  $handler->display->display_options['relationships']['field_staff_reference_target_id']['label'] = 'field_staff_reference';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Picture */
  $handler->display->display_options['fields']['field_staff_picture']['id'] = 'field_staff_picture';
  $handler->display->display_options['fields']['field_staff_picture']['table'] = 'field_data_field_staff_picture';
  $handler->display->display_options['fields']['field_staff_picture']['field'] = 'field_staff_picture';
  $handler->display->display_options['fields']['field_staff_picture']['relationship'] = 'field_staff_reference_target_id';
  $handler->display->display_options['fields']['field_staff_picture']['label'] = '';
  $handler->display->display_options['fields']['field_staff_picture']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_staff_picture']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_staff_picture']['settings'] = array(
    'image_style' => 'staff_profile_teaser',
    'image_link' => 'content',
  );
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'field_staff_reference_target_id';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: OpenEDU Schools Relationship: Role */
  $handler->display->display_options['fields']['field_schools_role']['id'] = 'field_schools_role';
  $handler->display->display_options['fields']['field_schools_role']['table'] = 'field_data_field_schools_role';
  $handler->display->display_options['fields']['field_schools_role']['field'] = 'field_schools_role';
  $handler->display->display_options['fields']['field_schools_role']['label'] = '';
  $handler->display->display_options['fields']['field_schools_role']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_schools_role']['type'] = 'text_plain';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'reverse_field_school_staff_node';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';

  /* Display: Department Members */
  $handler = $view->new_display('block', 'Department Members', 'department_members');
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referencing entity */
  $handler->display->display_options['relationships']['reverse_field_department_members_node']['id'] = 'reverse_field_department_members_node';
  $handler->display->display_options['relationships']['reverse_field_department_members_node']['table'] = 'eck_openedu_schools_relationship';
  $handler->display->display_options['relationships']['reverse_field_department_members_node']['field'] = 'reverse_field_department_members_node';
  $handler->display->display_options['relationships']['reverse_field_department_members_node']['label'] = 'field_department_members';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_staff_reference_target_id']['id'] = 'field_staff_reference_target_id';
  $handler->display->display_options['relationships']['field_staff_reference_target_id']['table'] = 'field_data_field_staff_reference';
  $handler->display->display_options['relationships']['field_staff_reference_target_id']['field'] = 'field_staff_reference_target_id';
  $handler->display->display_options['relationships']['field_staff_reference_target_id']['label'] = 'field_staff_reference';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Picture */
  $handler->display->display_options['fields']['field_staff_picture']['id'] = 'field_staff_picture';
  $handler->display->display_options['fields']['field_staff_picture']['table'] = 'field_data_field_staff_picture';
  $handler->display->display_options['fields']['field_staff_picture']['field'] = 'field_staff_picture';
  $handler->display->display_options['fields']['field_staff_picture']['relationship'] = 'field_staff_reference_target_id';
  $handler->display->display_options['fields']['field_staff_picture']['label'] = '';
  $handler->display->display_options['fields']['field_staff_picture']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_staff_picture']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_staff_picture']['settings'] = array(
    'image_style' => 'staff_profile_teaser',
    'image_link' => 'content',
  );
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'field_staff_reference_target_id';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: OpenEDU Schools Relationship: Role */
  $handler->display->display_options['fields']['field_schools_role']['id'] = 'field_schools_role';
  $handler->display->display_options['fields']['field_schools_role']['table'] = 'field_data_field_schools_role';
  $handler->display->display_options['fields']['field_schools_role']['field'] = 'field_schools_role';
  $handler->display->display_options['fields']['field_schools_role']['label'] = '';
  $handler->display->display_options['fields']['field_schools_role']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_schools_role']['type'] = 'text_plain';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'reverse_field_department_members_node';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';

  /* Display: Program Contributors */
  $handler = $view->new_display('block', 'Program Contributors', 'program_contributors');
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referencing entity */
  $handler->display->display_options['relationships']['reverse_field_program_contributors_node']['id'] = 'reverse_field_program_contributors_node';
  $handler->display->display_options['relationships']['reverse_field_program_contributors_node']['table'] = 'eck_openedu_schools_relationship';
  $handler->display->display_options['relationships']['reverse_field_program_contributors_node']['field'] = 'reverse_field_program_contributors_node';
  $handler->display->display_options['relationships']['reverse_field_program_contributors_node']['label'] = 'field_program_contributors';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_staff_reference_target_id']['id'] = 'field_staff_reference_target_id';
  $handler->display->display_options['relationships']['field_staff_reference_target_id']['table'] = 'field_data_field_staff_reference';
  $handler->display->display_options['relationships']['field_staff_reference_target_id']['field'] = 'field_staff_reference_target_id';
  $handler->display->display_options['relationships']['field_staff_reference_target_id']['label'] = 'field_staff_reference';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Picture */
  $handler->display->display_options['fields']['field_staff_picture']['id'] = 'field_staff_picture';
  $handler->display->display_options['fields']['field_staff_picture']['table'] = 'field_data_field_staff_picture';
  $handler->display->display_options['fields']['field_staff_picture']['field'] = 'field_staff_picture';
  $handler->display->display_options['fields']['field_staff_picture']['relationship'] = 'field_staff_reference_target_id';
  $handler->display->display_options['fields']['field_staff_picture']['label'] = '';
  $handler->display->display_options['fields']['field_staff_picture']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_staff_picture']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_staff_picture']['settings'] = array(
    'image_style' => 'staff_profile_teaser',
    'image_link' => 'content',
  );
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'field_staff_reference_target_id';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: OpenEDU Schools Relationship: Role */
  $handler->display->display_options['fields']['field_schools_role']['id'] = 'field_schools_role';
  $handler->display->display_options['fields']['field_schools_role']['table'] = 'field_data_field_schools_role';
  $handler->display->display_options['fields']['field_schools_role']['field'] = 'field_schools_role';
  $handler->display->display_options['fields']['field_schools_role']['label'] = '';
  $handler->display->display_options['fields']['field_schools_role']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_schools_role']['type'] = 'text_plain';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'reverse_field_program_contributors_node';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';

  /* Display: Course Sections */
  $handler = $view->new_display('block', 'Course Sections', 'course_sections');
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referencing entity */
  $handler->display->display_options['relationships']['reverse_field_course_sections_node']['id'] = 'reverse_field_course_sections_node';
  $handler->display->display_options['relationships']['reverse_field_course_sections_node']['table'] = 'eck_openedu_schools_relationship';
  $handler->display->display_options['relationships']['reverse_field_course_sections_node']['field'] = 'reverse_field_course_sections_node';
  $handler->display->display_options['relationships']['reverse_field_course_sections_node']['label'] = 'field_course_sections';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_staff_reference_target_id']['id'] = 'field_staff_reference_target_id';
  $handler->display->display_options['relationships']['field_staff_reference_target_id']['table'] = 'field_data_field_staff_reference';
  $handler->display->display_options['relationships']['field_staff_reference_target_id']['field'] = 'field_staff_reference_target_id';
  $handler->display->display_options['relationships']['field_staff_reference_target_id']['label'] = 'field_staff_reference';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Picture */
  $handler->display->display_options['fields']['field_staff_picture']['id'] = 'field_staff_picture';
  $handler->display->display_options['fields']['field_staff_picture']['table'] = 'field_data_field_staff_picture';
  $handler->display->display_options['fields']['field_staff_picture']['field'] = 'field_staff_picture';
  $handler->display->display_options['fields']['field_staff_picture']['relationship'] = 'field_staff_reference_target_id';
  $handler->display->display_options['fields']['field_staff_picture']['label'] = '';
  $handler->display->display_options['fields']['field_staff_picture']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_staff_picture']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_staff_picture']['settings'] = array(
    'image_style' => 'staff_profile_teaser',
    'image_link' => 'content',
  );
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'field_staff_reference_target_id';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: OpenEDU Schools Relationship: Role */
  $handler->display->display_options['fields']['field_schools_role']['id'] = 'field_schools_role';
  $handler->display->display_options['fields']['field_schools_role']['table'] = 'field_data_field_schools_role';
  $handler->display->display_options['fields']['field_schools_role']['field'] = 'field_schools_role';
  $handler->display->display_options['fields']['field_schools_role']['label'] = '';
  $handler->display->display_options['fields']['field_schools_role']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_schools_role']['type'] = 'text_plain';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'reverse_field_course_sections_node';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $export['openedu_schools_dashboard_schools_relationship'] = $view;

  return $export;
}
