<?php
/**
 * @file
 * openedu_schools_school.field_group.inc
 */

/**
 * Implements hook_field_group_info().
 */
function openedu_schools_school_field_group_info() {
  $field_groups = array();

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_collapsible|node|school|form';
  $field_group->group_name = 'group_collapsible';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'school';
  $field_group->mode = 'form';
  $field_group->parent_name = 'group_school_personalization';
  $field_group->data = array(
    'label' => 'Collapsible',
    'weight' => '49',
    'children' => array(
      0 => 'group_theme',
      1 => 'og_menu',
      2 => 'og_purl',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'Collapsible',
      'instance_settings' => array(
        'required_fields' => 1,
        'id' => '',
        'classes' => 'group-collapsible field-group-div',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_collapsible|node|school|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_school_info|node|school|form';
  $field_group->group_name = 'group_school_info';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'school';
  $field_group->mode = 'form';
  $field_group->parent_name = 'group_school';
  $field_group->data = array(
    'label' => 'School Info',
    'weight' => '33',
    'children' => array(
      0 => 'body',
      1 => 'title',
    ),
    'format_type' => 'tab',
    'format_settings' => array(
      'formatter' => 'closed',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-school-info field-group-tab',
        'required_fields' => 1,
      ),
    ),
  );
  $field_groups['group_school_info|node|school|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_school_personalization|node|school|form';
  $field_group->group_name = 'group_school_personalization';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'school';
  $field_group->mode = 'form';
  $field_group->parent_name = 'group_school';
  $field_group->data = array(
    'label' => 'School Personalization',
    'weight' => '34',
    'children' => array(
      0 => 'field_schools_custom_logo',
      1 => 'group_group',
      2 => 'group_collapsible',
    ),
    'format_type' => 'tab',
    'format_settings' => array(
      'formatter' => 'closed',
      'instance_settings' => array(
        'description' => '',
        'classes' => '',
        'required_fields' => 1,
      ),
    ),
  );
  $field_groups['group_school_personalization|node|school|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_school|node|school|form';
  $field_group->group_name = 'group_school';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'school';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'School',
    'weight' => '0',
    'children' => array(
      0 => 'group_school_info',
      1 => 'group_school_personalization',
      2 => 'group_school_staff',
      3 => 'group_school_structure',
    ),
    'format_type' => 'tabs',
    'format_settings' => array(
      'formatter' => '',
      'instance_settings' => array(
        'classes' => 'group-school field-group-tabs',
        'id' => '',
      ),
    ),
  );
  $field_groups['group_school|node|school|form'] = $field_group;

  // Translatables
  // Included for use with string extractors like potx.
  t('Collapsible');
  t('School');
  t('School Info');
  t('School Personalization');

  return $field_groups;
}
