<?php
/**
 * @file
 * openedu_schools_staff_profile.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function openedu_schools_staff_profile_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'openedu_staff_profile_course_sections';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'eck_openedu_schools_relationship';
  $view->human_name = 'OpenEDU Staff Profile - Course Sections';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Relationship: Entity Reference: Referencing entity */
  $handler->display->display_options['relationships']['reverse_field_course_sections_node']['id'] = 'reverse_field_course_sections_node';
  $handler->display->display_options['relationships']['reverse_field_course_sections_node']['table'] = 'eck_openedu_schools_relationship';
  $handler->display->display_options['relationships']['reverse_field_course_sections_node']['field'] = 'reverse_field_course_sections_node';
  $handler->display->display_options['relationships']['reverse_field_course_sections_node']['label'] = 'field_course_sections';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_staff_reference_target_id']['id'] = 'field_staff_reference_target_id';
  $handler->display->display_options['relationships']['field_staff_reference_target_id']['table'] = 'field_data_field_staff_reference';
  $handler->display->display_options['relationships']['field_staff_reference_target_id']['field'] = 'field_staff_reference_target_id';
  $handler->display->display_options['relationships']['field_staff_reference_target_id']['label'] = 'field_staff_reference';
  /* Field: Content: Path */
  $handler->display->display_options['fields']['path']['id'] = 'path';
  $handler->display->display_options['fields']['path']['table'] = 'node';
  $handler->display->display_options['fields']['path']['field'] = 'path';
  $handler->display->display_options['fields']['path']['relationship'] = 'reverse_field_course_sections_node';
  /* Field: OpenEDU Schools Relationship: Section ID */
  $handler->display->display_options['fields']['field_course_section_id']['id'] = 'field_course_section_id';
  $handler->display->display_options['fields']['field_course_section_id']['table'] = 'field_data_field_course_section_id';
  $handler->display->display_options['fields']['field_course_section_id']['field'] = 'field_course_section_id';
  $handler->display->display_options['fields']['field_course_section_id']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_course_section_id']['empty'] = '-';
  /* Field: OpenEDU Schools Relationship: Location */
  $handler->display->display_options['fields']['field_course_section_location']['id'] = 'field_course_section_location';
  $handler->display->display_options['fields']['field_course_section_location']['table'] = 'field_data_field_course_section_location';
  $handler->display->display_options['fields']['field_course_section_location']['field'] = 'field_course_section_location';
  $handler->display->display_options['fields']['field_course_section_location']['label'] = 'Locatioin';
  $handler->display->display_options['fields']['field_course_section_location']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_course_section_location']['empty'] = '-';
  /* Field: OpenEDU Schools Relationship: Schedule */
  $handler->display->display_options['fields']['field_course_section_schedule']['id'] = 'field_course_section_schedule';
  $handler->display->display_options['fields']['field_course_section_schedule']['table'] = 'field_data_field_course_section_schedule';
  $handler->display->display_options['fields']['field_course_section_schedule']['field'] = 'field_course_section_schedule';
  $handler->display->display_options['fields']['field_course_section_schedule']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_course_section_schedule']['empty'] = '-';
  /* Field: OpenEDU Schools Relationship: Start/End dates */
  $handler->display->display_options['fields']['field_course_section_dates']['id'] = 'field_course_section_dates';
  $handler->display->display_options['fields']['field_course_section_dates']['table'] = 'field_data_field_course_section_dates';
  $handler->display->display_options['fields']['field_course_section_dates']['field'] = 'field_course_section_dates';
  $handler->display->display_options['fields']['field_course_section_dates']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_course_section_dates']['empty'] = '-';
  $handler->display->display_options['fields']['field_course_section_dates']['settings'] = array(
    'format_type' => 'long',
    'fromto' => 'value',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_remaining_days' => 0,
    'show_repeat_rule' => 'show',
  );
  /* Sort criterion: OpenEDU Schools Relationship: Section ID (field_course_section_id) */
  $handler->display->display_options['sorts']['field_course_section_id_value']['id'] = 'field_course_section_id_value';
  $handler->display->display_options['sorts']['field_course_section_id_value']['table'] = 'field_data_field_course_section_id';
  $handler->display->display_options['sorts']['field_course_section_id_value']['field'] = 'field_course_section_id_value';
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid_1']['id'] = 'nid_1';
  $handler->display->display_options['arguments']['nid_1']['table'] = 'node';
  $handler->display->display_options['arguments']['nid_1']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid_1']['relationship'] = 'reverse_field_course_sections_node';
  $handler->display->display_options['arguments']['nid_1']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid_1']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid_1']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid_1']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid_1']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid_1']['break_phrase'] = TRUE;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'field_staff_reference_target_id';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid']['break_phrase'] = TRUE;
  /* Filter criterion: OpenEDU Schools Relationship: openedu_schools_relationship type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'eck_openedu_schools_relationship';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'course_section' => 'course_section',
  );

  /* Display: Display as table */
  $handler = $view->new_display('panel_pane', 'Display as table', 'table');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'field_course_section_id' => 'field_course_section_id',
    'field_course_section_location' => 'field_course_section_location',
    'field_course_section_schedule' => 'field_course_section_schedule',
    'field_course_section_dates' => 'field_course_section_dates',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'field_course_section_id' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_course_section_location' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_course_section_schedule' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_course_section_dates' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Path */
  $handler->display->display_options['fields']['path']['id'] = 'path';
  $handler->display->display_options['fields']['path']['table'] = 'node';
  $handler->display->display_options['fields']['path']['field'] = 'path';
  $handler->display->display_options['fields']['path']['relationship'] = 'reverse_field_course_sections_node';
  $handler->display->display_options['fields']['path']['label'] = '';
  $handler->display->display_options['fields']['path']['exclude'] = TRUE;
  $handler->display->display_options['fields']['path']['element_label_colon'] = FALSE;
  /* Field: OpenEDU Schools Relationship: Section ID */
  $handler->display->display_options['fields']['field_course_section_id']['id'] = 'field_course_section_id';
  $handler->display->display_options['fields']['field_course_section_id']['table'] = 'field_data_field_course_section_id';
  $handler->display->display_options['fields']['field_course_section_id']['field'] = 'field_course_section_id';
  $handler->display->display_options['fields']['field_course_section_id']['label'] = '';
  $handler->display->display_options['fields']['field_course_section_id']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['field_course_section_id']['alter']['path'] = '[path]';
  $handler->display->display_options['fields']['field_course_section_id']['alter']['absolute'] = TRUE;
  $handler->display->display_options['fields']['field_course_section_id']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_course_section_id']['empty'] = '-';
  /* Field: OpenEDU Schools Relationship: Location */
  $handler->display->display_options['fields']['field_course_section_location']['id'] = 'field_course_section_location';
  $handler->display->display_options['fields']['field_course_section_location']['table'] = 'field_data_field_course_section_location';
  $handler->display->display_options['fields']['field_course_section_location']['field'] = 'field_course_section_location';
  $handler->display->display_options['fields']['field_course_section_location']['label'] = '';
  $handler->display->display_options['fields']['field_course_section_location']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_course_section_location']['empty'] = '-';
  /* Field: OpenEDU Schools Relationship: Schedule */
  $handler->display->display_options['fields']['field_course_section_schedule']['id'] = 'field_course_section_schedule';
  $handler->display->display_options['fields']['field_course_section_schedule']['table'] = 'field_data_field_course_section_schedule';
  $handler->display->display_options['fields']['field_course_section_schedule']['field'] = 'field_course_section_schedule';
  $handler->display->display_options['fields']['field_course_section_schedule']['label'] = '';
  $handler->display->display_options['fields']['field_course_section_schedule']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_course_section_schedule']['empty'] = '-';
  /* Field: OpenEDU Schools Relationship: Start/End dates */
  $handler->display->display_options['fields']['field_course_section_dates']['id'] = 'field_course_section_dates';
  $handler->display->display_options['fields']['field_course_section_dates']['table'] = 'field_data_field_course_section_dates';
  $handler->display->display_options['fields']['field_course_section_dates']['field'] = 'field_course_section_dates';
  $handler->display->display_options['fields']['field_course_section_dates']['label'] = '';
  $handler->display->display_options['fields']['field_course_section_dates']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_course_section_dates']['empty'] = '-';
  $handler->display->display_options['fields']['field_course_section_dates']['settings'] = array(
    'format_type' => 'long',
    'fromto' => 'value',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_remaining_days' => 0,
    'show_repeat_rule' => 'show',
  );
  $handler->display->display_options['pane_title'] = 'OpenEDU Staff Profile: Courses Sections (display as table)';
  $handler->display->display_options['pane_category']['name'] = 'OpenEDU Template Items';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['allow']['use_pager'] = 0;
  $handler->display->display_options['allow']['items_per_page'] = 0;
  $handler->display->display_options['allow']['offset'] = 0;
  $handler->display->display_options['allow']['link_to_view'] = 0;
  $handler->display->display_options['allow']['more_link'] = 0;
  $handler->display->display_options['allow']['path_override'] = 0;
  $handler->display->display_options['allow']['title_override'] = 'title_override';
  $handler->display->display_options['allow']['exposed_form'] = 0;
  $handler->display->display_options['allow']['fields_override'] = 0;
  $export['openedu_staff_profile_course_sections'] = $view;

  $view = new view();
  $view->name = 'openedu_staff_profile_faculty_listing_tabs';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'node';
  $view->human_name = 'OpenEDU Staff Profile - Faculty listing tabs';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['css_class'] = 'openedu-collapsible-cards';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['row_plugin'] = 'node';
  $handler->display->display_options['row_options']['view_mode'] = 'collapsible_card';
  $handler->display->display_options['row_options']['links'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid']['break_phrase'] = TRUE;

  /* Display: Faculty list */
  $handler = $view->new_display('panel_pane', 'Faculty list', 'faculty_list');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Faculty';

  /* Display: Staff list */
  $handler = $view->new_display('panel_pane', 'Staff list', 'staff_list');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Staff';
  $export['openedu_staff_profile_faculty_listing_tabs'] = $view;

  $view = new view();
  $view->name = 'openedu_staff_profile_list_schools_relation';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'node';
  $view->human_name = 'OpenEDU Staff Profile - List Schools Relation';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['distinct'] = TRUE;
  $handler->display->display_options['query']['options']['pure_distinct'] = TRUE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Sort criterion: Content: Title */
  $handler->display->display_options['sorts']['title']['id'] = 'title';
  $handler->display->display_options['sorts']['title']['table'] = 'node';
  $handler->display->display_options['sorts']['title']['field'] = 'title';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;

  /* Display: Departments (context) */
  $handler = $view->new_display('panel_pane', 'Departments (context)', 'departments');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Departments';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_department_members_target_id']['id'] = 'field_department_members_target_id';
  $handler->display->display_options['relationships']['field_department_members_target_id']['table'] = 'field_data_field_department_members';
  $handler->display->display_options['relationships']['field_department_members_target_id']['field'] = 'field_department_members_target_id';
  $handler->display->display_options['relationships']['field_department_members_target_id']['label'] = 'field_department_members';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Field: Staff Profile (field_staff_reference) */
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['id'] = 'field_staff_reference_target_id';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['table'] = 'field_data_field_staff_reference';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['field'] = 'field_staff_reference_target_id';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['relationship'] = 'field_department_members_target_id';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['break_phrase'] = TRUE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'department' => 'department',
  );
  $handler->display->display_options['pane_title'] = 'OpenEDU Staff Profile: Departments listing (context)';
  $handler->display->display_options['pane_category']['name'] = 'OpenEDU Template Items';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['allow']['use_pager'] = 0;
  $handler->display->display_options['allow']['items_per_page'] = 'items_per_page';
  $handler->display->display_options['allow']['offset'] = 0;
  $handler->display->display_options['allow']['link_to_view'] = 0;
  $handler->display->display_options['allow']['more_link'] = 0;
  $handler->display->display_options['allow']['path_override'] = 0;
  $handler->display->display_options['allow']['title_override'] = 'title_override';
  $handler->display->display_options['allow']['exposed_form'] = 0;
  $handler->display->display_options['allow']['fields_override'] = 0;
  $handler->display->display_options['argument_input'] = array(
    'field_staff_reference_target_id' => array(
      'type' => 'context',
      'context' => 'entity:node.nid',
      'context_optional' => 1,
      'panel' => '0',
      'fixed' => '',
      'label' => 'OpenEDU Schools Relationship: Staff Profile (field_staff_reference)',
    ),
  );

  /* Display: Programs (context) */
  $handler = $view->new_display('panel_pane', 'Programs (context)', 'program');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Programs';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_program_contributors_target_id']['id'] = 'field_program_contributors_target_id';
  $handler->display->display_options['relationships']['field_program_contributors_target_id']['table'] = 'field_data_field_program_contributors';
  $handler->display->display_options['relationships']['field_program_contributors_target_id']['field'] = 'field_program_contributors_target_id';
  $handler->display->display_options['relationships']['field_program_contributors_target_id']['label'] = 'field_program_contributors';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Field: Staff Profile (field_staff_reference) */
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['id'] = 'field_staff_reference_target_id';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['table'] = 'field_data_field_staff_reference';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['field'] = 'field_staff_reference_target_id';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['relationship'] = 'field_program_contributors_target_id';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['break_phrase'] = TRUE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'program' => 'program',
  );
  $handler->display->display_options['pane_title'] = 'OpenEDU Staff Profile: Programs listing (context)';
  $handler->display->display_options['pane_category']['name'] = 'OpenEDU Template Items';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['allow']['use_pager'] = 0;
  $handler->display->display_options['allow']['items_per_page'] = 'items_per_page';
  $handler->display->display_options['allow']['offset'] = 0;
  $handler->display->display_options['allow']['link_to_view'] = 0;
  $handler->display->display_options['allow']['more_link'] = 0;
  $handler->display->display_options['allow']['path_override'] = 0;
  $handler->display->display_options['allow']['title_override'] = 'title_override';
  $handler->display->display_options['allow']['exposed_form'] = 0;
  $handler->display->display_options['allow']['fields_override'] = 0;
  $handler->display->display_options['argument_input'] = array(
    'field_staff_reference_target_id' => array(
      'type' => 'context',
      'context' => 'entity:node.nid',
      'context_optional' => 1,
      'panel' => '0',
      'fixed' => '',
      'label' => 'OpenEDU Schools Relationship: Staff Profile (field_staff_reference)',
    ),
  );

  /* Display: Courses (context) */
  $handler = $view->new_display('panel_pane', 'Courses (context)', 'courses');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Courses';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_course_sections_target_id']['id'] = 'field_course_sections_target_id';
  $handler->display->display_options['relationships']['field_course_sections_target_id']['table'] = 'field_data_field_course_sections';
  $handler->display->display_options['relationships']['field_course_sections_target_id']['field'] = 'field_course_sections_target_id';
  $handler->display->display_options['relationships']['field_course_sections_target_id']['label'] = 'field_course_sections';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Field: Staff Profile (field_staff_reference) */
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['id'] = 'field_staff_reference_target_id';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['table'] = 'field_data_field_staff_reference';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['field'] = 'field_staff_reference_target_id';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['relationship'] = 'field_course_sections_target_id';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['break_phrase'] = TRUE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'course' => 'course',
  );
  $handler->display->display_options['pane_title'] = 'OpenEDU Staff Profile: Courses listing (context)';
  $handler->display->display_options['pane_category']['name'] = 'OpenEDU Template Items';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['allow']['use_pager'] = 0;
  $handler->display->display_options['allow']['items_per_page'] = 'items_per_page';
  $handler->display->display_options['allow']['offset'] = 0;
  $handler->display->display_options['allow']['link_to_view'] = 0;
  $handler->display->display_options['allow']['more_link'] = 0;
  $handler->display->display_options['allow']['path_override'] = 0;
  $handler->display->display_options['allow']['title_override'] = 'title_override';
  $handler->display->display_options['allow']['exposed_form'] = 0;
  $handler->display->display_options['allow']['fields_override'] = 0;
  $handler->display->display_options['argument_input'] = array(
    'field_staff_reference_target_id' => array(
      'type' => 'context',
      'context' => 'entity:node.nid',
      'context_optional' => 1,
      'panel' => '0',
      'fixed' => '',
      'label' => 'OpenEDU Schools Relationship: Staff Profile (field_staff_reference)',
    ),
  );

  /* Display: Schools (context) */
  $handler = $view->new_display('panel_pane', 'Schools (context)', 'schools');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Schools';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_school_staff_target_id']['id'] = 'field_school_staff_target_id';
  $handler->display->display_options['relationships']['field_school_staff_target_id']['table'] = 'field_data_field_school_staff';
  $handler->display->display_options['relationships']['field_school_staff_target_id']['field'] = 'field_school_staff_target_id';
  $handler->display->display_options['relationships']['field_school_staff_target_id']['label'] = 'field_school_staff';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Field: Staff Profile (field_staff_reference) */
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['id'] = 'field_staff_reference_target_id';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['table'] = 'field_data_field_staff_reference';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['field'] = 'field_staff_reference_target_id';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['relationship'] = 'field_school_staff_target_id';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['break_phrase'] = TRUE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'school' => 'school',
  );
  $handler->display->display_options['pane_title'] = 'OpenEDU Staff Profile: Schools listing (context)';
  $handler->display->display_options['pane_category']['name'] = 'OpenEDU Template Items';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['allow']['use_pager'] = 0;
  $handler->display->display_options['allow']['items_per_page'] = 'items_per_page';
  $handler->display->display_options['allow']['offset'] = 0;
  $handler->display->display_options['allow']['link_to_view'] = 0;
  $handler->display->display_options['allow']['more_link'] = 0;
  $handler->display->display_options['allow']['path_override'] = 0;
  $handler->display->display_options['allow']['title_override'] = 'title_override';
  $handler->display->display_options['allow']['exposed_form'] = 0;
  $handler->display->display_options['allow']['fields_override'] = 0;
  $handler->display->display_options['argument_input'] = array(
    'field_staff_reference_target_id' => array(
      'type' => 'context',
      'context' => 'entity:node.nid',
      'context_optional' => 1,
      'panel' => '0',
      'fixed' => '',
      'label' => 'OpenEDU Schools Relationship: Staff Profile (field_staff_reference)',
    ),
  );

  /* Display: Courses collapsible */
  $handler = $view->new_display('panel_pane', 'Courses collapsible', 'couses_collapsible');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Courses';
  $handler->display->display_options['defaults']['css_class'] = FALSE;
  $handler->display->display_options['css_class'] = 'openedu-collapsible-list ';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'entity';
  $handler->display->display_options['row_options']['view_mode'] = 'oeu_collapsible_list';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_course_sections_target_id']['id'] = 'field_course_sections_target_id';
  $handler->display->display_options['relationships']['field_course_sections_target_id']['table'] = 'field_data_field_course_sections';
  $handler->display->display_options['relationships']['field_course_sections_target_id']['field'] = 'field_course_sections_target_id';
  $handler->display->display_options['relationships']['field_course_sections_target_id']['label'] = 'field_course_sections';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Course ID */
  $handler->display->display_options['fields']['field_course_id']['id'] = 'field_course_id';
  $handler->display->display_options['fields']['field_course_id']['table'] = 'field_data_field_course_id';
  $handler->display->display_options['fields']['field_course_id']['field'] = 'field_course_id';
  $handler->display->display_options['fields']['field_course_id']['label'] = '';
  $handler->display->display_options['fields']['field_course_id']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_course_id']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_course_id']['alter']['text'] = '[field_course_id]<span class="hide"> - </span>';
  $handler->display->display_options['fields']['field_course_id']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_course_id']['type'] = 'text_plain';
  $handler->display->display_options['fields']['field_course_id']['settings'] = array(
    'trim_length' => '600',
  );
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['text'] = '<span class="course-id">[field_course_id]</span>[title]';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['element_wrapper_class'] = 'openedu-collapsible-item-title';
  /* Field: Content: Description */
  $handler->display->display_options['fields']['body']['id'] = 'body';
  $handler->display->display_options['fields']['body']['table'] = 'field_data_body';
  $handler->display->display_options['fields']['body']['field'] = 'body';
  $handler->display->display_options['fields']['body']['label'] = '';
  $handler->display->display_options['fields']['body']['exclude'] = TRUE;
  $handler->display->display_options['fields']['body']['element_label_colon'] = FALSE;
  /* Field: Content: Course Level */
  $handler->display->display_options['fields']['field_course_level']['id'] = 'field_course_level';
  $handler->display->display_options['fields']['field_course_level']['table'] = 'field_data_field_course_level';
  $handler->display->display_options['fields']['field_course_level']['field'] = 'field_course_level';
  $handler->display->display_options['fields']['field_course_level']['label'] = 'Level';
  $handler->display->display_options['fields']['field_course_level']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_course_level']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_course_level']['type'] = 'taxonomy_term_reference_plain';
  /* Field: Content: Course Credits */
  $handler->display->display_options['fields']['field_course_credits']['id'] = 'field_course_credits';
  $handler->display->display_options['fields']['field_course_credits']['table'] = 'field_data_field_course_credits';
  $handler->display->display_options['fields']['field_course_credits']['field'] = 'field_course_credits';
  $handler->display->display_options['fields']['field_course_credits']['label'] = 'Credits';
  $handler->display->display_options['fields']['field_course_credits']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_course_credits']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_course_credits']['settings'] = array(
    'thousand_separator' => '',
    'prefix_suffix' => 1,
  );
  /* Field: Content: Course Hours */
  $handler->display->display_options['fields']['field_course_hours']['id'] = 'field_course_hours';
  $handler->display->display_options['fields']['field_course_hours']['table'] = 'field_data_field_course_hours';
  $handler->display->display_options['fields']['field_course_hours']['field'] = 'field_course_hours';
  $handler->display->display_options['fields']['field_course_hours']['label'] = 'Hours';
  $handler->display->display_options['fields']['field_course_hours']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_course_hours']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_course_hours']['settings'] = array(
    'thousand_separator' => '',
    'prefix_suffix' => 1,
  );
  /* Field: Content: Course Pre-requisite */
  $handler->display->display_options['fields']['field_course_prerequisite']['id'] = 'field_course_prerequisite';
  $handler->display->display_options['fields']['field_course_prerequisite']['table'] = 'field_data_field_course_prerequisite';
  $handler->display->display_options['fields']['field_course_prerequisite']['field'] = 'field_course_prerequisite';
  $handler->display->display_options['fields']['field_course_prerequisite']['label'] = 'Prerequisite';
  $handler->display->display_options['fields']['field_course_prerequisite']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_course_prerequisite']['element_label_colon'] = FALSE;
  /* Field: Broken/missing handler */
  $handler->display->display_options['fields']['view']['id'] = 'view';
  $handler->display->display_options['fields']['view']['table'] = 'views';
  $handler->display->display_options['fields']['view']['field'] = 'view';
  $handler->display->display_options['fields']['view']['label'] = 'Sections';
  $handler->display->display_options['fields']['view']['exclude'] = TRUE;
  $handler->display->display_options['fields']['view']['element_label_colon'] = FALSE;
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['label'] = '';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = '<div class="item">[body]</div>
<div class="item"><span class="label">Level:</span> [field_course_level]</div>
<div class="item"><span class="label">Credits:</span> [field_course_credits]</div>
<div class="item"><span class="label">Hours:</span> [field_course_hours]</div>
<div class="item"><span class="label">Prerequisites:</span> [field_course_prerequisite]</div>
<div class="item"><span class="label">Sections:</span> [view]</div>';
  $handler->display->display_options['fields']['nothing']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['nothing']['element_wrapper_class'] = 'openedu-collapsible-item-content';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Field: Staff Profile (field_staff_reference) */
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['id'] = 'field_staff_reference_target_id';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['table'] = 'field_data_field_staff_reference';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['field'] = 'field_staff_reference_target_id';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['relationship'] = 'field_course_sections_target_id';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['break_phrase'] = TRUE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'course' => 'course',
  );
  $handler->display->display_options['pane_title'] = 'OpenEDU Staff Profile: Courses collapsible';
  $handler->display->display_options['pane_category']['name'] = 'OpenEDU Template Items';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['allow']['use_pager'] = 0;
  $handler->display->display_options['allow']['items_per_page'] = 'items_per_page';
  $handler->display->display_options['allow']['offset'] = 0;
  $handler->display->display_options['allow']['link_to_view'] = 0;
  $handler->display->display_options['allow']['more_link'] = 0;
  $handler->display->display_options['allow']['path_override'] = 0;
  $handler->display->display_options['allow']['title_override'] = 'title_override';
  $handler->display->display_options['allow']['exposed_form'] = 0;
  $handler->display->display_options['allow']['fields_override'] = 0;

  /* Display: Course Sections (context) */
  $handler = $view->new_display('panel_pane', 'Course Sections (context)', 'course_sections');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Courses';
  $handler->display->display_options['enabled'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_course_sections_target_id']['id'] = 'field_course_sections_target_id';
  $handler->display->display_options['relationships']['field_course_sections_target_id']['table'] = 'field_data_field_course_sections';
  $handler->display->display_options['relationships']['field_course_sections_target_id']['field'] = 'field_course_sections_target_id';
  $handler->display->display_options['relationships']['field_course_sections_target_id']['label'] = 'field_course_sections';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Course Sections */
  $handler->display->display_options['fields']['field_course_sections']['id'] = 'field_course_sections';
  $handler->display->display_options['fields']['field_course_sections']['table'] = 'field_data_field_course_sections';
  $handler->display->display_options['fields']['field_course_sections']['field'] = 'field_course_sections';
  $handler->display->display_options['fields']['field_course_sections']['label'] = '';
  $handler->display->display_options['fields']['field_course_sections']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_course_sections']['settings'] = array(
    'link' => 0,
  );
  $handler->display->display_options['fields']['field_course_sections']['delta_offset'] = '0';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Field: Staff Profile (field_staff_reference) */
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['id'] = 'field_staff_reference_target_id';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['table'] = 'field_data_field_staff_reference';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['field'] = 'field_staff_reference_target_id';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['relationship'] = 'field_course_sections_target_id';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['field_staff_reference_target_id']['break_phrase'] = TRUE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'course' => 'course',
  );
  $handler->display->display_options['pane_title'] = 'OpenEDU Staff Profile: Courses listing (context)';
  $handler->display->display_options['pane_category']['name'] = 'OpenEDU Template Items';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['allow']['use_pager'] = 0;
  $handler->display->display_options['allow']['items_per_page'] = 'items_per_page';
  $handler->display->display_options['allow']['offset'] = 0;
  $handler->display->display_options['allow']['link_to_view'] = 0;
  $handler->display->display_options['allow']['more_link'] = 0;
  $handler->display->display_options['allow']['path_override'] = 0;
  $handler->display->display_options['allow']['title_override'] = 'title_override';
  $handler->display->display_options['allow']['exposed_form'] = 0;
  $handler->display->display_options['allow']['fields_override'] = 0;
  $handler->display->display_options['argument_input'] = array(
    'field_staff_reference_target_id' => array(
      'type' => 'context',
      'context' => 'entity:node.nid',
      'context_optional' => 1,
      'panel' => '0',
      'fixed' => '',
      'label' => 'OpenEDU Schools Relationship: Staff Profile (field_staff_reference)',
    ),
  );
  $export['openedu_staff_profile_list_schools_relation'] = $view;

  return $export;
}
