<?php
/**
 * @file
 * openedu_social_feeds.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function openedu_social_feeds_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "ds" && $api == "ds") {
    return array("version" => "1");
  }
  if ($module == "field_group" && $api == "field_group") {
    return array("version" => "1");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function openedu_social_feeds_views_api($module = NULL, $api = NULL) {
  return array("api" => "3.0");
}

/**
 * Implements hook_image_default_styles().
 */
function openedu_social_feeds_image_default_styles() {
  $styles = array();

  // Exported image style: extra_medium.
  $styles['extra_medium'] = array(
    'label' => 'Social content: extra media (400 width)',
    'effects' => array(
      1 => array(
        'name' => 'image_scale',
        'data' => array(
          'width' => 400,
          'height' => '',
          'upscale' => 1,
        ),
        'weight' => 1,
      ),
    ),
  );

  return $styles;
}

/**
 * Implements hook_node_info().
 */
function openedu_social_feeds_node_info() {
  $items = array(
    'facebook' => array(
      'name' => t('Facebook Page Post'),
      'base' => 'node_content',
      'description' => '',
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
    'flickr' => array(
      'name' => t('Flickr picture'),
      'base' => 'node_content',
      'description' => t('A photo imported from Flickr.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
    'instagram' => array(
      'name' => t('Instagram post'),
      'base' => 'node_content',
      'description' => t('A post imported from Instagram.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
    'linkedin' => array(
      'name' => t('Linkedin post'),
      'base' => 'node_content',
      'description' => t('A post imported from Linkedin.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
    'pinterest' => array(
      'name' => t('Pinterest'),
      'base' => 'node_content',
      'description' => '',
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
    'tumblr' => array(
      'name' => t('Tumblr'),
      'base' => 'node_content',
      'description' => '',
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
    'tweet' => array(
      'name' => t('Tweet'),
      'base' => 'node_content',
      'description' => t('A tweet imported from Twitter.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
    'youtube' => array(
      'name' => t('Youtube video'),
      'base' => 'node_content',
      'description' => t('A thumbnail of the Youtube video.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
  );
  drupal_alter('node_info', $items);
  return $items;
}
