<?php
/**
* @file
* openedu_syndication_handler_filter_syndicated_types.inc
*/

/**
 * Custom views filter extending views_handler_filter_entity_bundle.
 */
class openedu_syndication_client_handler_filter_syndicated_types extends views_handler_filter_entity_bundle {
  /**
   * In order to display only content types being syndicated by users,
   * {openedu_syndication_client} variable need to be loaded from database and
   * as a multidimensional array we should be looking into
   * {openedu_syndication_client[content_types]}.
   */
  function get_value_options() {
    if (!isset($this->value_options)) {
      // Set vars.
      $openedu_syndication_client = variable_get('openedu_syndication_client');
      $options = array();

      if (isset($openedu_syndication_client) &&
        !empty($openedu_syndication_client['content_types'])) {

        foreach ($openedu_syndication_client['content_types'] as $type => $label) {
          $options[$type] = t($label);
        }

        asort($options);
      }

      // Set options even if empty.
      $this->value_options = $options;
    }
  }
}
